Package org.eclipse.net4j.db.ddl

# Class SchemaElementNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.net4j.db.DBException
org.eclipse.net4j.db.ddl.SchemaElementNotFoundException

All Implemented Interfaces:
  `Serializable`

public class SchemaElementNotFoundException extends DBException

Since:
  4.2
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SchemaElementNotFoundException(IDBSchemaElement parent, IDBSchemaElement.SchemaElementType type, String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`IDBSchemaElement`
`getParent()`
`IDBSchemaElement.SchemaElementType`
`getType()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SchemaElementNotFoundException

public SchemaElementNotFoundException(IDBSchemaElement parent, IDBSchemaElement.SchemaElementType type, String name)

## Method Details

### getParent

public IDBSchemaElement getParent()

### getType

public IDBSchemaElement.SchemaElementType getType()

### getName

public String getName()